View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000156Ecere SDKidepublic2009-05-03 04:562013-08-07 03:33
Reporterjerome 
Assigned Tojerome 
PriorityimmediateSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version0.44.08Fixed in Version0.44.08 
Summary0000156: Look for a solution to spaces in project dir / name, or don't let the user create it (CRASHES now!)
DescriptionLook for a solution to spaces in project dir / name, or don't let the user create it
Tagsstar, v0.44d2
Attached Files

- Relationships
related to 0000324closedredj & in project name 

-  Notes
(0000460)
jerome (administrator)
2011-09-10 20:08

There's no reason why this shouldn't work... maybe we're just missing some space=>underscore conversion in the ecs stuff
(0000710)
jerome (administrator)
2013-04-24 06:31

Awesome, we even CRASH right now!
(0000711)
jerome (administrator)
2013-04-24 06:31

That wasn't originally what I had in mind when I said "or don't let the user create it" , but hey... it does the trick! ;)
(0000763)
jerome (administrator)
2013-04-27 20:19

Crashes fixed by https://github.com/ecere/sdk/commit/3989d28c4695483f6291b316858805a5d8ba6d65 [^]

Spaces are handled fine.

- Issue History
Date Modified Username Field Change
2009-05-03 04:56 jerome New Issue
2009-05-03 06:30 jerome Status new => assigned
2009-05-03 06:30 jerome Assigned To => jerome
2010-07-07 02:37 redj Target Version => 0.44d2
2010-07-07 04:10 redj Tag Attached: v0.44d2
2010-07-07 04:42 redj Tag Attached: star
2010-07-25 21:26 redj Relationship added child of 0000429
2010-07-26 03:21 jerome Relationship added related to 0000324
2010-07-26 19:27 thexa4 Target Version 0.44d2 => 0.44 draft 2
2011-09-10 20:08 jerome Note Added: 0000460
2012-03-08 15:41 redj Target Version old 0.44.pre2 => 0.45 Ginkakuji
2012-03-08 17:30 redj Relationship deleted child of 0000429
2012-03-29 07:52 redj Category => ide
2012-03-29 07:52 redj Project @3@ => Ecere SDK
2013-04-24 06:31 jerome Note Added: 0000710
2013-04-24 06:31 jerome Note Added: 0000711
2013-04-24 06:32 jerome Severity major => crash
2013-04-24 06:32 jerome Reproducibility have not tried => always
2013-04-24 06:32 jerome Target Version 0.45 Ginkakuji => 0.44.1 64
2013-04-24 06:32 jerome Summary Look for a solution to spaces in project dir / name, or don't let the user create it => Look for a solution to spaces in project dir / name, or don't let the user create it (CRASHES now!)
2013-04-27 20:19 jerome Status assigned => resolved
2013-04-27 20:19 jerome Fixed in Version => 0.44.1 64
2013-04-27 20:19 jerome Resolution open => fixed
2013-04-27 20:19 jerome Note Added: 0000763
2013-05-22 20:29 jerome Status resolved => closed
2013-08-07 03:33 jerome Fixed in Version 0.44.10 64 => 0.44.08
2013-08-07 03:33 jerome Target Version 0.44.10 64 => 0.44.08



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker